%global alternate_name PDFRenderer
%global svn_date 20110310
%global svn_version 128svn

Summary:        A 100% Java PDF renderer and viewer
Name:           pdf-renderer
Version:        0
Release:        0.24.%{svn_version}.%{svn_date}%{?dist}
#src/com/sun/pdfview/decode/CCITTFaxDecoder.java under a BSD-alike License
#src/com/sun/pdfview/font/ttf/resource/glyphlist.txt and src/com/sun/pdfview/font/ttf/AdobeGlyphList.java
#are under Adobe Glyph List License
License:        LGPLv2+ and MIT and BSD
URL:            https://java.net/projects/pdf-renderer/
Source0:        %{name}-%{svn_version}-%{svn_date}.tar.bz2
# To fetch the source code
Source1:        %{name}-snapshot.sh
BuildRequires:  ant
BuildRequires:  ant-apache-regexp
BuildRequires:  java-devel >= 1.7
BuildRequires:  javapackages-local
BuildRequires:  urw-base35-fonts
BuildArch:      noarch

Requires:       urw-base35-fonts
Provides:       %{alternate_name} == %{version}-%{release}

%description
The PDF Renderer is just what the name implies: an open source,
all Java library which renders PDF documents to the screen using 
Java2D. Typically this means drawing into a Swing panel, but it 
could also draw to other Graphics2D implementations. It could be 
used to draw on top of PDFs, share them over a network, convert 
PDFs to PNG images, or maybe even project PDFs into a 3D scene.

%package javadoc
Summary:        Javadoc for %{alternate_name}

%description javadoc
API documentation for the %{alternate_name} package.

%prep
%setup -q -n %{name}-%{svn_version}-%{svn_date}

# Remove preshipped binaries
find . -name "*.jar" -exec rm {} \;

# Fix encoding issues
find . -name "*.java" -exec native2ascii {} {} \;

# Remove preshipped fonts and ...
find . -name "*.pfb" -exec rm {} \;

# ... tell the program to use system-fonts instead.
# Script provided by Mamoru Tasaka:
# https://bugzilla.redhat.com/show_bug.cgi?id=466394#c4
# -------------------------------------------------------------
pushd src/com/sun/pdfview/font/res/
INPUT=BaseFonts.properties
OUTPUT=BaseFonts.properties.1
FONTDIR=%{_datadir}/fonts/default/Type1

rm -f $OUTPUT
cat $INPUT | while read line
 do
 newline=$line
 if echo $newline | grep -q 'file=.*pfb'
  then
  pfbname=$(echo $newline | sed -e 's|^.*file=||')
  newline=$(echo $newline | sed -e "s|file=|file=${FONTDIR}/|")
 elif echo $newline | grep -q 'length='
  then
  size=$(ls -al ${FONTDIR}/$pfbname | awk '{print $5}')
  newline=$(echo $newline | sed -e "s|length=.*|length=$size|")
 fi
 echo $newline >> $OUTPUT
done
mv -f $OUTPUT $INPUT
popd
# -------------------------------------------------------------

%build
%ant \
 -Djavadoc.additionalparam="-Xdoclint:none" \
 -Djavac.source=1.6 -Djavac.target=1.6

%install
%mvn_file com.sun.pdfview:pdfrenderer %{name}
%mvn_artifact com.sun.pdfview:pdfrenderer:%{version} dist/%{alternate_name}.jar
%mvn_install -J dist/javadoc

%files -f .mfiles
%doc demos

%files javadoc -f .mfiles-javadoc

# -----------------------------------------------------------------------------

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.24.128svn.20110310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.23.128svn.20110310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.22.128svn.20110310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.21.128svn.20110310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.20.128svn.20110310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.19.128svn.20110310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Apr 09 2016 gil cattaneo <puntogil@libero.it> 0-0.18.128svn.20110310
- fix FTBFS rhbz#1239763,1307848
- fix Url field
- fix rpmlint problems
- add maven metadata
- adapt to current guideline

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.17.128svn.20110310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.16.128svn.20110310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.15.128svn.20110310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.14.128svn.20110310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.13.128svn.20110310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 06 2012 Caolán McNamara <caolanm@redhat.com> - 0-0.12.128svn.20110310
- src/com/sun/pdfview/decode/CCITTFaxDecoder.java BSD-alike License

* Fri Nov 02 2012 Caolán McNamara <caolanm@redhat.com> - 0-0.11.128svn.20110310
- src/com/sun/pdfview/font/ttf/resource/glyphlist.txt and src/com/sun/pdfview/font/ttf/AdobeGlyphList.java
  are under Adobe Glyph List License

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.128svn.20110310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.9.128svn.20110310
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Mar 10 2011 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0-0.8.128svn.20110310
- New svn checkout
- Drop gcj as per new guidelines

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.20090405cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20090405cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 11 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0-0.5.20090405cvs
- New cvs checkout
- Raise minimum java requirement

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20090118cvs.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0-0.4.20090118cvs
- New cvs checkout

* Sat Oct 11 2008 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0-0.3.20081005cvs
- The license is changed to LGPLv2+.
- Fixed sizes of the font files on src/com/sun/pdfview/font/res/BaseFonts.properties
- BuildRequired urw-fonts

* Fri Oct 10 2008 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0-0.2.20081005cvs
- Removed pre-shipped fonts and told the program to use system-wide urw-fonts.
- The license is changed to LGPLv2+ and GPL+.

* Thu Oct 09 2008 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0-0.1.20081005cvs
- Initial Release
